[arch-commits] Commit in haskell-dns/trunk (PKGBUILD)

Felix Yan felixonmars at archlinux.org
Wed Nov 29 14:33:23 UTC 2017


    Date: Wednesday, November 29, 2017 @ 14:33:22
  Author: felixonmars
Revision: 270710

upgpkg: haskell-dns 3.0.0-1

rebuild with dns,3.0.0

Modified:
  haskell-dns/trunk/PKGBUILD

----------+
 PKGBUILD |   29 ++++++++++++++++++++---------
 1 file changed, 20 insertions(+), 9 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2017-11-29 14:14:01 UTC (rev 270709)
+++ PKGBUILD	2017-11-29 14:33:22 UTC (rev 270710)
@@ -4,23 +4,28 @@
 
 _hkgname=dns
 pkgname=haskell-dns
-pkgver=2.0.13
-pkgrel=5
+pkgver=3.0.0
+pkgrel=1
 pkgdesc="DNS library in Haskell"
 url="https://hackage.haskell.org/package/${_hkgname}"
 license=("custom:BSD3")
 arch=('x86_64')
-depends=('ghc-libs' "haskell-attoparsec" "haskell-conduit" "haskell-conduit-extra" "haskell-iproute"
-         "haskell-mtl" "haskell-network" "haskell-random" "haskell-resourcet" "haskell-safe")
-makedepends=('ghc')
+depends=('ghc-libs' 'haskell-async' 'haskell-auto-update' 'haskell-attoparsec'
+         'haskell-base64-bytestring' 'haskell-conduit' 'haskell-conduit-extra' 'haskell-cryptonite'
+         'haskell-iproute' 'haskell-mtl' 'haskell-network' 'haskell-psqueues' 'haskell-safe')
+makedepends=('ghc' 'haskell-doctest' 'haskell-hspec' 'haskell-word8' 'haskell-quickcheck')
 source=("https://hackage.haskell.org/packages/archive/${_hkgname}/${pkgver}/${_hkgname}-${pkgver}.tar.gz")
-sha512sums=('fcf6d358c50af39f61734ed390ab51f0dc897e7d52989de0c9b8d3afc0682361f5ef1f9b6766f18359d5618eca4d31f992a5d533b7a3f3fce8a74a508a61a254')
+sha512sums=('f4b009e1d3a5b8f50aa8a1f17f0476917a827eb97c43f7bc1aa46e54e576d6ee08e4456837a6ca3bf33ae64d66f0da9c320e4e084f5932754c5633fbe560474f')
 
+prepare() {
+    sed -i '/doctest/a \    "-dynamic",' $_hkgname-$pkgver/test2/doctests.hs
+}
+
 build() {
     cd "${srcdir}/${_hkgname}-${pkgver}"
-    
+
     runhaskell Setup configure -O --enable-shared --enable-executable-dynamic --disable-library-vanilla \
-        --prefix=/usr --docdir="/usr/share/doc/${pkgname}" \
+        --prefix=/usr --docdir="/usr/share/doc/${pkgname}" --enable-tests \
         --dynlibdir=/usr/lib --libsubdir=\$compiler/site-local/\$pkgid
     runhaskell Setup build
     runhaskell Setup register --gen-script
@@ -29,9 +34,15 @@
     sed -i -r -e "s|ghc-pkg.*unregister[^ ]* |&'--force' |" unregister.sh
 }
 
+check() {
+    cd $_hkgname-$pkgver
+    # https://github.com/kazu-yamamoto/dns/issues/102
+    runhaskell Setup test || warning "Tests failed"
+}
+
 package() {
     cd "${srcdir}/${_hkgname}-${pkgver}"
-    
+
     install -D -m744 register.sh   "${pkgdir}/usr/share/haskell/register/${pkgname}.sh"
     install -D -m744 unregister.sh "${pkgdir}/usr/share/haskell/unregister/${pkgname}.sh"
     runhaskell Setup copy --destdir="${pkgdir}"



More information about the arch-commits mailing list